Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 988422 (RHEV_Neutron_Appliance) - [RFE] Neutron Integration: Providing a Neutron appliance
Summary: [RFE] Neutron Integration: Providing a Neutron appliance
Keywords:
Status: CLOSED WONTFIX
Alias: RHEV_Neutron_Appliance
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: ---
Assignee: Dan Kenigsberg
QA Contact: Michael Burman
URL: http://www.ovirt.org/Features/Neutron...
Whiteboard:
Depends On: 987888
Blocks: 1122396 rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2013-07-25 14:54 UTC by lpeer
Modified: 2016-06-26 13:54 UTC (History)
23 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Red hat Enterprise Virtualization has incorporated the OpenStack Neutron service as a network provider as part of the 3.4 release. However, to provision Neutron services, users need to manually deploy Neutron and Keystone services. With this update, users can now download the Neutron Appliance to deploy a Red Hat Enterprise Linux 7.0 based virtual machine with Neutron installed. The Neutron Appliance was designed to simplify the deployment process.
Clone Of:
: 1078862 (view as bug list)
Environment:
Last Closed: 2016-06-26 13:54:11 UTC
oVirt Team: Network
Target Upstream Version:
nyechiel: Triaged+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2218691 None None None 2016-04-04 14:55:50 UTC
Red Hat Product Errata RHSA-2015:0158 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.5.0 2015-02-11 22:38:50 UTC

Description lpeer 2013-07-25 14:54:09 UTC
Description of problem:

We added integration with open stack components like Neutron and Glance.
We would like to add support for installing these services as part of the RHEV installation. 
It could also be an installation that is done during or after the engine installation.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 lpeer 2013-07-25 14:56:32 UTC
I suggest we'll look into packStack and try to reuse it.
I'm adding a bug that is currently blocking RHEV from using packstack for installing Neutron and Keystone

Comment 2 Nir Yechiel 2014-04-02 18:03:44 UTC
After considering the options how to implement that, we think that the best approach is to go with a dedicated Neutron appliance (VM) that will include the required services and uses packstack to setup the environment.

Comment 5 GenadiC 2014-08-07 12:12:00 UTC
Verified in  3.5.0-0.0.master.20140804172041.git23b558e.el6

Comment 7 Julie 2014-10-07 10:47:01 UTC
Thanks for asking, Nir. I have added the associated docs BZ.

Comment 15 Michael Burman 2014-12-29 09:39:19 UTC
Verified and tested with the image that Lior provided, followed steps from comment 10 above.

Verified on - 
3.5.0-0.25.el6ev
3.5.0-0.26.el6ev
3.5.0-0.27.el6ev

Comment 17 errata-xmlrpc 2015-02-11 17:54:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html


Note You need to log in before you can comment on or make changes to this bug.